/// <reference types="react" />
declare const legacyExtensionApiRegistratorForTopBarItemsInjectable: import("@ogre-tools/injectable").Injectable<(ext: import("@openlens/legacy-extensions").LegacyLensExtension) => import("@ogre-tools/injectable").Injectable<{
    id: string;
    isShown: import("mobx").IComputedValue<boolean>;
    orderNumber: number;
    Component: import("react").ComponentType<{}>;
}, import("../../../../renderer/components/layout/top-bar/top-bar-items/top-bar-item-injection-token").TopBarItem, void>[], import("../../../../extensions/extension-loader/extension-registrator-injection-token").ExtensionRegistrator, void>;
export default legacyExtensionApiRegistratorForTopBarItemsInjectable;
